[PATCH net-next] selftests: mptcp: lib: fix shellcheck errors

Matthieu Baerts (NGI0) posted 1 patch 1 month, 3 weeks ago
Patches applied successfully (tree, apply log)
git fetch https://github.com/multipath-tcp/mptcp_net-next tags/patchew/20240712-upstream-net-next-20240712-selftests-mptcp-fix-shellcheck-v1-1-1cb7180db40a@kernel.org
tools/testing/selftests/net/mptcp/mptcp_lib.sh | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
[PATCH net-next] selftests: mptcp: lib: fix shellcheck errors
Posted by Matthieu Baerts (NGI0) 1 month, 3 weeks ago
It looks like we missed these two errors recently:

  - SC2068: Double quote array expansions to avoid re-splitting elements.
  - SC2145: Argument mixes string and array. Use * or separate argument.

Two simple fixes, it is not supposed to change the behaviour as the
variable names should not have any spaces in their names. Still, better
to fix them to easily spot new issues.

Fixes: f265d3119a29 ("selftests: mptcp: lib: use setup/cleanup_ns helpers")
Signed-off-by: Matthieu Baerts (NGI0) <matttbe@kernel.org>
---
Notes:
  - The mentioned commit is currently only in 'net-next', not in 'net'.
---
 tools/testing/selftests/net/mptcp/mptcp_lib.sh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/tools/testing/selftests/net/mptcp/mptcp_lib.sh b/tools/testing/selftests/net/mptcp/mptcp_lib.sh
index 194c8fc2e55a..438280e68434 100644
--- a/tools/testing/selftests/net/mptcp/mptcp_lib.sh
+++ b/tools/testing/selftests/net/mptcp/mptcp_lib.sh
@@ -428,8 +428,8 @@ mptcp_lib_check_tools() {
 }
 
 mptcp_lib_ns_init() {
-	if ! setup_ns ${@}; then
-		mptcp_lib_pr_fail "Failed to setup namespace ${@}"
+	if ! setup_ns "${@}"; then
+		mptcp_lib_pr_fail "Failed to setup namespaces ${*}"
 		exit ${KSFT_FAIL}
 	fi
 

---
base-commit: 2146b7dd354c2a1384381ca3cd5751bfff6137d6
change-id: 20240712-upstream-net-next-20240712-selftests-mptcp-fix-shellcheck-6f17e65c6c1b

Best regards,
-- 
Matthieu Baerts (NGI0) <matttbe@kernel.org>
Re: [PATCH net-next] selftests: mptcp: lib: fix shellcheck errors
Posted by Jakub Kicinski 1 month, 3 weeks ago
On Fri, 12 Jul 2024 12:00:15 +0200 Matthieu Baerts (NGI0) wrote:
> It looks like we missed these two errors recently:
> 
>   - SC2068: Double quote array expansions to avoid re-splitting elements.
>   - SC2145: Argument mixes string and array. Use * or separate argument.
> 
> Two simple fixes, it is not supposed to change the behaviour as the
> variable names should not have any spaces in their names. Still, better
> to fix them to easily spot new issues.
> 
> Fixes: f265d3119a29 ("selftests: mptcp: lib: use setup/cleanup_ns helpers")
> Signed-off-by: Matthieu Baerts (NGI0) <matttbe@kernel.org>

Speaking of MPTCP tests - I added the connect test to ignored today.
Too many failures :(
Re: [PATCH net-next] selftests: mptcp: lib: fix shellcheck errors
Posted by Matthieu Baerts 1 month, 3 weeks ago
Hi Jakub,

On 14/07/2024 00:46, Jakub Kicinski wrote:
> On Fri, 12 Jul 2024 12:00:15 +0200 Matthieu Baerts (NGI0) wrote:
>> It looks like we missed these two errors recently:
>>
>>   - SC2068: Double quote array expansions to avoid re-splitting elements.
>>   - SC2145: Argument mixes string and array. Use * or separate argument.
>>
>> Two simple fixes, it is not supposed to change the behaviour as the
>> variable names should not have any spaces in their names. Still, better
>> to fix them to easily spot new issues.
>>
>> Fixes: f265d3119a29 ("selftests: mptcp: lib: use setup/cleanup_ns helpers")
>> Signed-off-by: Matthieu Baerts (NGI0) <matttbe@kernel.org>
> 
> Speaking of MPTCP tests - I added the connect test to ignored today.
> Too many failures :(

Sorry for that, and thank you for having ignore it for the 'dbg' runner.

This sudden regression looks strange. Our CI didn't catch this issue so
far. It is only happening with the debug kernel config.

Do you know if anything has changed recently -- around the 11th of July
-- on NIPA's config side that is not documented? e.g. more jobs in
parallel, new kernel config? I didn't see anything that could cause the
new issues when looking at NIPA's git log and the CI change log sheet.

I will try to reproduce the issue locally, maybe it is caused by a patch
that is in patchwork, but not in net or net-next yet.

Cheers,
Matt
-- 
Sponsored by the NGI0 Core fund.
Re: [PATCH net-next] selftests: mptcp: lib: fix shellcheck errors
Posted by Jakub Kicinski 1 month, 3 weeks ago
On Mon, 15 Jul 2024 11:07:26 +0200 Matthieu Baerts wrote:
> > Speaking of MPTCP tests - I added the connect test to ignored today.
> > Too many failures :(  
> 
> Sorry for that, and thank you for having ignore it for the 'dbg' runner.
> 
> This sudden regression looks strange. Our CI didn't catch this issue so
> far. It is only happening with the debug kernel config.
> 
> Do you know if anything has changed recently -- around the 11th of July
> -- on NIPA's config side that is not documented? e.g. more jobs in
> parallel, new kernel config? I didn't see anything that could cause the
> new issues when looking at NIPA's git log and the CI change log sheet.

The usual suspect on Thursdays is that we pull in changes from Linus,
it'd be surprising if there were major changes there the week of the
release but maybe..

> I will try to reproduce the issue locally, maybe it is caused by a patch
> that is in patchwork, but not in net or net-next yet.

I was going to mention Kuniyuki's patch but you discovered it already :)
Re: [PATCH net-next] selftests: mptcp: lib: fix shellcheck errors
Posted by Simon Horman 1 month, 3 weeks ago
On Fri, Jul 12, 2024 at 12:00:15PM +0200, Matthieu Baerts (NGI0) wrote:
> It looks like we missed these two errors recently:
> 
>   - SC2068: Double quote array expansions to avoid re-splitting elements.
>   - SC2145: Argument mixes string and array. Use * or separate argument.
> 
> Two simple fixes, it is not supposed to change the behaviour as the
> variable names should not have any spaces in their names. Still, better
> to fix them to easily spot new issues.
> 
> Fixes: f265d3119a29 ("selftests: mptcp: lib: use setup/cleanup_ns helpers")
> Signed-off-by: Matthieu Baerts (NGI0) <matttbe@kernel.org>
> ---
> Notes:
>   - The mentioned commit is currently only in 'net-next', not in 'net'.

Reviewed-by: Simon Horman <horms@kernel.org>
Re: [PATCH net-next] selftests: mptcp: lib: fix shellcheck errors
Posted by Matthieu Baerts 1 month, 3 weeks ago
Hello,

On 12/07/2024 12:00, Matthieu Baerts (NGI0) wrote:
> It looks like we missed these two errors recently:
> 
>   - SC2068: Double quote array expansions to avoid re-splitting elements.
>   - SC2145: Argument mixes string and array. Use * or separate argument.
> 
> Two simple fixes, it is not supposed to change the behaviour as the
> variable names should not have any spaces in their names. Still, better
> to fix them to easily spot new issues.
> 
> Fixes: f265d3119a29 ("selftests: mptcp: lib: use setup/cleanup_ns helpers")
> Signed-off-by: Matthieu Baerts (NGI0) <matttbe@kernel.org>
> ---
> Notes:
>   - The mentioned commit is currently only in 'net-next', not in 'net'.

FYI, I sent this patch directly to Netdev because it is a very simple
fix for a regression that is only in net-next, and net-next is going to
close soon.

I also just applied it in our tree (fixes for next):

New patches for t/upstream:
- 470536406e3e: selftests: mptcp: lib: fix shellcheck errors
- Results: d1e2bd5eddf6..920a799b659a (export)

Tests are now in progress:

- export:
https://github.com/multipath-tcp/mptcp_net-next/commit/486e6bb8033eca0dd0707d0a96259af19c4c3b74/checks

Cheers,
Matt
-- 
Sponsored by the NGI0 Core fund.